gnocchi_archive_policy_present:
  gnocchiv1.archive_policy_present:
    - name: SaltTestArchivePolicy
    - cloud_name: admin_identity
    - definition:
          - granularity: '1:00:00'
            points: 100
            timespan: '100h'
          - granularity: '2:00:00'
            points: 100
            timespan: '200h'
    - aggregation_methods:
      - mean
      - count
      - max
    - back_window: 2

gnocchi_archive_policy_rule_present:
  gnocchiv1.archive_policy_rule_present:
    - name: SaltTestArchivePolicy_rule
    - cloud_name: admin_identity
    - metric_pattern: 'disk.*'
    - archive_policy_name: SaltTestArchivePolicy
    - require:
      - gnocchi_archive_policy_present

gnocchi_archive_policy_rule_absent:
  gnocchiv1.archive_policy_rule_absent:
    - name: SaltTestArchivePolicy_rule
    - cloud_name: admin_identity
    - require:
      - gnocchi_archive_policy_rule_present


gnocchi_archive_policy_absent:
  gnocchiv1.archive_policy_absent:
    - name: SaltTestArchivePolicy
    - cloud_name: admin_identity
    - require:
      - gnocchi_archive_policy_rule_absent
